# Class BamToBfqWriter

java.lang.Object
picard.fastq.SamToBfqWriter
picard.fastq.BamToBfqWriter

@Deprecated public class BamToBfqWriter extends SamToBfqWriter
Deprecated.
Deprecated since July 2020. Use SamToBfqWriter instead

## Constructor Summary

Constructors
Constructor
Description
`BamToBfqWriter(File bamFile, File referenceSequence, String outputPrefix, Integer total, Integer chunk, boolean pairedReads, String namePrefix, boolean includeNonPfReads, boolean clipAdapters, Integer basesToWrite)`
Deprecated.
`BamToBfqWriter(File bamFile, String outputPrefix, boolean pairedReads, String namePrefix, boolean includeNonPfReads)`
Deprecated.

## Method Summary

### Methods inherited from class SamToBfqWriter

`writeBfqFiles`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BamToBfqWriter

public BamToBfqWriter(File bamFile, File referenceSequence, String outputPrefix, Integer total, Integer chunk, boolean pairedReads, String namePrefix, boolean includeNonPfReads, boolean clipAdapters, Integer basesToWrite)
Deprecated.

### BamToBfqWriter

public BamToBfqWriter(File bamFile, String outputPrefix, boolean pairedReads, String namePrefix, boolean includeNonPfReads)
Deprecated.